ATTR_GET_FD(1)

NAME
attr_get_fd - fetch RSBAC attributes from files or directories

SYNOPSIS

attr_get_fd [-vrnea] {module} {target-type} {attribute} [file/dirname(s)]

DESCRIPTION

You need attr_get_fd to get RSBAC attribute values for filesystem objects. There are different attributes for different RSBAC modules. Check appropriate documentation about possible attributes for module you want to administrate or use -a option to see full list.

OPTIONS

-v  verbose program output

-e  show effective (maybe inherited) value instead of real values. See appropriate documentation about difference between effective and real access rights.

-r  walk recursively into subdirs

-n  list all requests. Full target and request lists are in the ``Targets and Requests'' chapter of the RSBAC documentation.

-a  list attributes and values

module
    One of the possible RSBAC modules, e.g., GEN, MAC, FC, SIM, PM, MS, FF, RC or AUTH.

target-type
    One of the possible RSBAC target types, e.g., FILE, DIR, FIFO, SYMLINK, DEV or FD (FD: all of FILE, DIR, FIFO and SYMLINK, but no DEV))

AUTHOR
Amon Ott <ao@rsbac.org>.